Bug 474578 - /usr/bin/emacs link not updated on upgrade
/usr/bin/emacs link not updated on upgrade
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: emacs (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Novotny
Fedora Extras Quality Assurance
:
: 394131 446467 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-04 10:23 EST by Jonathan Kamens
Modified: 2013-01-09 23:57 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-16 09:34:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonathan Kamens 2008-12-04 10:23:46 EST
After upgrading from emacs-22.2-5.fc9.i386.rpm to emacs-22.3-1.fc11.i386, /usr/bin/emacs still pointed at emacs-22.2 rather than emacs-22.3.
Comment 1 Daniel Novotny 2009-02-04 10:41:39 EST
hello Jonathan,

I am unable to reproduce the bug: I installed current rawhide, installed emacs from F9 there, upgraded to the latest F11 rpm and the link was updated correctly

are there any steps which will definitely reproduce this? there are about three open bugs on Emacs with this symlink problem, but I was so far never able to see it myself :(
Comment 2 Roland Roberts 2009-02-05 16:41:16 EST
I just upgraded on _Fedora 10_ to emacs-22.3-3.fc10.i386.  Post update, I had no /usr/bin/emacs.  I uninstalled and reinstalled to get it back.

265 roland> rpm -q emacs
emacs-22.3-3.fc10.i386
266 roland> uname -r
2.6.27.12-170.2.5.fc10.i686

Here's an extract from yum.log.  Sorry, no record on what the previous version was, but it had to be recent.

Feb 05 11:14:18 Updated: 1:emacs-common-22.3-3.fc10.i386
Feb 05 11:14:19 Updated: 1:emacs-22.3-3.fc10.i386
Feb 05 11:15:51 Updated: 1:emacs-el-22.3-3.fc10.i386
Feb 05 11:49:20 Erased: emacs
Feb 05 11:49:30 Erased: emacs-common
Feb 05 11:49:52 Erased: emacs-el
Feb 05 16:36:07 Erased: emacs-ess
Feb 05 16:36:07 Erased: emacs
Feb 05 16:36:44 Installed: 1:emacs-22.3-3.fc10.i386
Feb 05 16:36:45 Installed: emacs-ess-5.3.8-1.fc10.noarch
Feb 05 16:36:45 Installed: 1:emacs-22.3-3.fc10.i386
Comment 3 Daniel Novotny 2009-02-16 09:34:52 EST
OK, I created a script in %posttrans, which will hopefully track the version in alternatives and repair it, if there remains an old version link. I have three bugs like that, but they seem all the same.

fixed in emacs-22.3-5.fc11
Comment 4 Daniel Novotny 2009-02-16 09:35:31 EST
*** Bug 446467 has been marked as a duplicate of this bug. ***
Comment 5 Daniel Novotny 2009-02-16 09:36:03 EST
*** Bug 394131 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.